<?php
/*
*
* @name cpg_center_random.php
* @package phpBB3 Portal XL 5.0
* @version $Id: cpg_center_random.php,v 1.0 2009/01/14 12:43:53 damysterious Exp $
*
* @copyright (c) 2007, 2009  Portal XL Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
*/

/**
* Enter Path information here, absolute path to main coppermine directory
*/
$cpg_root_path = '../gallery';   /*** YOU MUST CHANGE THIS ***/ 

/**
* Include config and functions files
*/
if(file_exists($cpg_root_path . '/include/config.inc.php')){
	ob_start();
	require_once $cpg_root_path . '/include/config.inc.php';
	ob_clean();
}

/**
* Define database tables
*/
$CONFIG['TABLE_PICTURES']   = $CONFIG['TABLE_PREFIX'].'pictures';
$CONFIG['TABLE_ALBUMS']     = $CONFIG['TABLE_PREFIX'].'albums';
$CONFIG['TABLE_COMMENTS']   = $CONFIG['TABLE_PREFIX'].'comments';
$CONFIG['TABLE_CONFIG']     = $CONFIG['TABLE_PREFIX'].'config';
$CONFIG['TABLE_VOTES']      = $CONFIG['TABLE_PREFIX'].'votes';

/*
* Start session management
*/
$user->add_lang('mods/cpg_blocks');

/**
* This connects to the Coppermine Gallery DB 
*/
$newest = @mysql_connect($CONFIG['dbserver'], $CONFIG['dbuser'], $CONFIG['dbpass']);
if (!$newest) {  
	$newest_erros = '<p>Unable to connect to the database server at this time.</p>' . mysql_error();  
}  

/**
* Select Coppermine Gallery DB 
*/
if (!@mysql_select_db($CONFIG['dbname'])) { 
	$newest_erros = '<p>Unable to locate the picture database at this time.</p>' . mysql_error(); 
}  

/**
* This gets the gallery configuration setup
*/
$results = @mysql_query("SELECT * FROM {$CONFIG['TABLE_CONFIG']}");
while ($row = @mysql_fetch_array($results)) {
        $CONFIG[$row['name']] = $row['value'];
}
@mysql_free_result($result);  
/**
* This gets the gallery configuration setup
*/

/**
* This gets a picture record from the database and the picture's location and displays it 
*/
$result = @mysql_query("SELECT p.*, c.msg_id
		FROM {$CONFIG['TABLE_PICTURES']} AS p
		LEFT JOIN {$CONFIG['TABLE_COMMENTS']} AS c
			ON p.pid = c.msg_id
		WHERE p.approved = 'YES' 
		GROUP BY p.pid
		ORDER BY RAND()
		LIMIT " . $CONFIG['thumbcols']);
if (!$result) {  
	$newest_erros = '<p>Error performing query: ' . mysql_error() . '</p>';  
}  

$cpg_newest_list = array();

while( $row = @mysql_fetch_array($result) )
{
	$cpg_newest_list[] = $row;
}

if (count($cpg_newest_list) > 0)
{
	for ($i = 0; $i < count($cpg_newest_list); $i += $CONFIG['thumbcols'])
	{
		$template->assign_block_vars('rand_pics', array());

		for ($j = $i; $j < ($i + $CONFIG['thumbcols']); $j++)
		{
			if( $j >= count($cpg_newest_list) )
			{
				break;
			}
			
			$template->assign_block_vars('rand_pics.rand_col', array(
				'U_PIC' 		=> $cpg_root_path . '/displayimage.php?album=' . $cpg_newest_list[$j]['aid'] . '&pos=-' . $cpg_newest_list[$j]['pid'], 
				'THUMBNAIL' 	=> $cpg_root_path . '/albums/' . $cpg_newest_list[$j]['filepath'] . $CONFIG['thumb_pfx'] . $cpg_newest_list[$j]['filename'],
				'DESC' 			=> $cpg_newest_list[$j]['caption'],
				));

			$size_lang = ($cpg_newest_list[$j]['total_filesize'] >= 1048576) ? $user->lang['MB'] : (($cpg_newest_list[$j]['total_filesize'] >= 1024) ? $user->lang['KB'] : $user->lang['BYTES']);
			$cpg_newest_list[$j]['total_filesize'] = ($cpg_newest_list[$j]['total_filesize'] >= 1048576) ? round((round($cpg_newest_list[$j]['total_filesize'] / 1048576 * 100) / 100), 2) : (($cpg_newest_list[$j]['total_filesize'] >= 1024) ? round((round($cpg_newest_list[$j]['total_filesize'] / 1024 * 100) / 100), 2) : $cpg_newest_list[$j]['total_filesize']);
			$replace = str_replace(array('_','.rar','.zip','.jpg','.gif','.png','.RAR','.ZIP','.JPG','.GIF','.PNG','.','-'), ' ', $cpg_newest_list[$j]['filename']);
			$ShortFileName = character_limit($replace, 10);

			$template->assign_block_vars('rand_pics.rand_detail', array(
				'TITLE'			=> $ShortFileName,
				'POSTER_FULL'	=> $cpg_newest_list[$j]['owner_name'],
				'TIME'			=> $cpg_newest_list[$j]['mtime'],
				'VIEW'			=> $cpg_newest_list[$j]['hits'],
				'FILE_SIZE'		=> $cpg_newest_list[$j]['total_filesize'] . ' ' . $size_lang,
				'RATING'		=> ($cpg_newest_list[$j]['votes'] == 1) ? ( '<a href="' . $cpg_root_path . '/displayimage.php?album=toprated&cat=-' . $cpg_newest_list[$j]['aid'] . '&pos=-' . $cpg_newest_list[$j]['pid'] . '" title="' . $cpg_newest_list[$j]['filename'] . '" target="_blank">' . $user->lang['CPG_NEWEST_TOTAL_VOTES'] . '</a>' . $cpg_newest_list[$j]['votes'] . '<br />') : '',
				'COMMENTS'		=> ($cpg_newest_list[$j]['msg_id'] == 1) ? ( '<a href="' . $cpg_root_path . '/displayimage.php?album=lastcom&cat=-' . $cpg_newest_list[$j]['aid'] . '&pos=-' . $cpg_newest_list[$j]['pid'] . '">' . $user->lang['COMMENTS'] . '</a>: ' . $cpg_newest_list[$j]['msg_id'] . '<br />') : '',
				'U_PIC' 		=> $cpg_root_path . '/displayimage.php?album=' . $cpg_newest_list[$j]['aid'] . '&pos=-' . $cpg_newest_list[$j]['pid'], 
			));


		}
	}
}
else
{
	$template->assign_block_vars('no_pics', array());
}
@mysql_free_result($result);  
/**
* This gets a picture record from the database and the picture's location and displays it 
*/


/**
* Total Pics 
*/
$total_images = @mysql_query("SELECT count(pid) AS count FROM {$CONFIG['TABLE_PICTURES']}");
if (!$total_images) {  
	$newest_erros = '<p>Error performing query: ' . mysql_error() . '</p>';  
}
else
{
	$row = @mysql_fetch_array($total_images);
	if( $row['count'] == 0 )
	{
		$total_images = ($user->lang['CPG_NEWEST_TOTAL_VOTES'] . '<b>0</b>&nbsp;');
	}
	else
	{
		$total_images = $row['count']; 
		$template->assign_vars(array(
			'CPG_NEWEST_TOTAL_IMAGES' 		=> $total_images,
			'L_CPG_NEWEST_TOTAL_IMAGES' 	=> $user->lang['CPG_NEWEST_TOTAL_IMAGES'],
		));
	}
}
@mysql_free_result($result);  

/**
* Total Views 
*/
$pic_view_count = @mysql_query("SELECT SUM(hits) AS hits FROM {$CONFIG['TABLE_PICTURES']}");
if (!$pic_view_count) {  
	$newest_erros = '<p>Error performing query: ' . mysql_error() . '</p>';  
}
else
{
	$row = @mysql_fetch_array($pic_view_count);
	if( $row['hits'] == 0 )
	{
		$pic_view_count = ($user->lang['CPG_NEWEST_TOTAL_VOTES'] . '<b>0</b>&nbsp;');
	}
	else
	{
		$pic_view_count = $row['hits']; 
		$template->assign_vars(array(
			'CPG_NEWEST_TOTAL_VIEWS' 		=> $pic_view_count,
			'L_CPG_NEWEST_TOTAL_VIEWS' 		=> $user->lang['CPG_NEWEST_TOTAL_VIEWS'],
		));
	}
}
@mysql_free_result($result);  

/**
* Total Votes
*/
$vote_points = @mysql_query("SELECT SUM(votes) AS votes FROM {$CONFIG['TABLE_PICTURES']}");
if (!$vote_points) {  
	$newest_erros = '<p>Error performing query: ' . mysql_error() . '</p>';  
}
else
{
	$row = @mysql_fetch_array($vote_points);
	if( $row['votes'] == 0 )
	{
		$vote_points = ($user->lang['CPG_NEWEST_TOTAL_VOTES'] . '<b>0</b>&nbsp;');
	}
	else
	{
		$vote_points = $row['votes']; 
		$template->assign_vars(array(
			'CPG_NEWEST_TOTAL_VOTES' 		=> $vote_points,
			'L_CPG_NEWEST_TOTAL_VOTES' 		=> $user->lang['CPG_NEWEST_TOTAL_VOTES'],
		));
	}
}
@mysql_free_result($result);  

/**
* Total Comments 
*/
$pic_comments = @mysql_query("SELECT SUM(msg_id) AS msg_id FROM {$CONFIG['TABLE_COMMENTS']}");
if (!$pic_comments) {  
	$newest_erros = '<p>Error performing query: ' . mysql_error() . '</p>';  
}
else
{
	$row = @mysql_fetch_array($pic_comments);
	if( $row['msg_id'] == 0 )
	{
		$pic_comments = ($user->lang['CPG_NEWEST_TOTAL_COMMENTS'] . '<b>0</b>&nbsp;');
	}
	else
	{
		$pic_comments = $row['msg_id']; 
		$template->assign_vars(array(
			'CPG_NEWEST_TOTAL_COMMENTS' 	=> $pic_comments,
			'L_CPG_NEWEST_TOTAL_COMMENTS' 	=> $user->lang['CPG_NEWEST_TOTAL_COMMENTS'],
		));
	}
}
@mysql_free_result($result);  
		

$template->assign_vars(array(
	'CPG_NEWEST_ERRORS' 			=> $newest_erros,

	'U_CPG_GALLERY'					=> append_sid("{$cpg_root_path}/index.$phpEx"),

	'L_CPG_GALLERY' 				=> $user->lang['CPG_GALLERY'],
	'L_CPG_PIC_TITLE' 				=> $user->lang['CPG_PIC_TITLE'],
	'L_CPG_POSTER' 					=> $user->lang['CPG_POSTER'],
	'L_CPG_POSTED' 					=> $user->lang['CPG_POSTED'],
	'L_CPG_FILE_SIZE' 				=> $user->lang['CPG_FILE_SIZE'],
	
	'S_COLS' 						=> $CONFIG['thumbcols'],
	'S_COL_WIDTH' 					=> (100/$CONFIG['thumbcols']) . '%',
));


// Set the filename of the template you want to use for this file.
$template->set_filenames(array(
    'body' => 'portal/block/cpg_center_newest.html',
	));

?>