<?php
/*
*
* @name cpg_center_rondom_scroll.php
* @package phpBB3 Portal XL 5.0
* @version $Id: cpg_center_rondom_scroll.php,v 1.0 2009/01/14 12:43:53 damysterious Exp $
*
* @copyright (c) 2007, 2009  Portal XL Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
*/

/**
* Enter Path information here, absolute path to main coppermine directory
*/
$cpg_root_path = '../gallery';   /*** YOU MUST CHANGE THIS ***/ 

/**
* Include config and functions files
*/
if(file_exists($cpg_root_path . '/include/config.inc.php')){
	ob_start();
	require_once $cpg_root_path . '/include/config.inc.php';
	ob_clean();
}

/**
* Define database tables
*/
$CONFIG['TABLE_PICTURES']   = $CONFIG['TABLE_PREFIX'].'pictures';
$CONFIG['TABLE_ALBUMS']     = $CONFIG['TABLE_PREFIX'].'albums';
$CONFIG['TABLE_COMMENTS']   = $CONFIG['TABLE_PREFIX'].'comments';
$CONFIG['TABLE_CONFIG']     = $CONFIG['TABLE_PREFIX'].'config';
$CONFIG['TABLE_VOTES']      = $CONFIG['TABLE_PREFIX'].'votes';

/*
* Start session management
*/
$user->add_lang('mods/cpg_blocks');

/**
* This connects to the Coppermine Gallery DB 
*/
$newest = @mysql_connect($CONFIG['dbserver'], $CONFIG['dbuser'], $CONFIG['dbpass']);
if (!$newest) {  
	$newest_erros = '<p>Unable to connect to the database server at this time.</p>' . mysql_error();  
}  

/**
* Select Coppermine Gallery DB 
*/
if (!@mysql_select_db($CONFIG['dbname'])) { 
	$newest_erros = '<p>Unable to locate the picture database at this time.</p>' . mysql_error(); 
}  

/**
* This gets the gallery configuration setup
*/
$results = @mysql_query("SELECT * FROM {$CONFIG['TABLE_CONFIG']}");
while ($row = @mysql_fetch_array($results)) {
        $CONFIG[$row['name']] = $row['value'];
}
@mysql_free_result($result);  
/**
* This gets the gallery configuration setup
*/

/**
* This gets a picture record from the database and the picture's location and displays it 
*/
$result = @mysql_query("SELECT p.*, c.msg_id
		FROM {$CONFIG['TABLE_PICTURES']} AS p
		LEFT JOIN {$CONFIG['TABLE_COMMENTS']} AS c
			ON p.pid = c.msg_id
		WHERE p.approved = 'YES' 
		GROUP BY p.pid
		ORDER BY RAND()
		LIMIT 25");
if (!$result) {  
	$newest_erros = '<p>Error performing query: ' . mysql_error() . '</p>';  
}  

$cpg_center_rondom_scroll = array();

while( $row = @mysql_fetch_array($result) )
{
	$cpg_center_rondom_scroll[] = $row;
}

if (count($cpg_center_rondom_scroll) > 0)
{
	for ($i = 0; $i < count($cpg_center_rondom_scroll); $i += $CONFIG['thumbcols'])
	{
		$template->assign_block_vars('image_random_scroll', array());

		for ($j = $i; $j < ($i + $CONFIG['thumbcols']); $j++)
		{
			if( $j >= count($cpg_center_rondom_scroll) )
			{
				break;
			}

			$template->assign_block_vars('image_random_scroll_col', array(
				'U_PIC' 		=> $cpg_root_path . '/displayimage.php?album=' . $cpg_center_rondom_scroll[$j]['aid'] . '&pos=-' . $cpg_center_rondom_scroll[$j]['pid'], 
				'THUMBNAIL' 	=> $cpg_root_path . '/albums/' . $cpg_center_rondom_scroll[$j]['filepath'] . $CONFIG['thumb_pfx'] . $cpg_center_rondom_scroll[$j]['filename'],
				'DESC' 			=> $cpg_center_rondom_scroll[$j]['caption'],
				'TITLE'			=> $cpg_center_rondom_scroll[$j]['filename'],
				));
		}
	}
}
else
{
	$template->assign_block_vars('no_pics', array());
}
@mysql_free_result($result);  
/**
* This gets a picture record from the database and the picture's location and displays it 
*/

$template->assign_vars(array(
	'CPG_NEWEST_ERRORS' 			=> $newest_erros,

	'U_CPG_GALLERY'					=> append_sid("{$cpg_root_path}/index.$phpEx"),

	'L_CPG_GALLERY' 				=> $user->lang['CPG_GALLERY'],
	
	'S_COLS' 						=> $CONFIG['thumbcols'],
	'S_COL_WIDTH' 					=> (100/$CONFIG['thumbcols']) . '%',
));


// Set the filename of the template you want to use for this file.
$template->set_filenames(array(
    'body' => 'portal/block/cpg_center_rondom_scroll.html',
	));

?>